import{s as cs,o as us,n as bs}from"../chunks/scheduler.bdbef820.js";import{S as fs,i as ms,g as o,s as a,r as p,A as vs,h as i,f as t,c as r,j as x,u as c,x as g,k as T,y as n,a as l,v as u,d as b,t as f,w as m}from"../chunks/index.c0aea24a.js";import{T as hs}from"../chunks/Tip.31005f7d.js";import{D as P}from"../chunks/Docstring.8f10b780.js";import{C as ps}from"../chunks/CodeBlock.6ccca92e.js";import{H as It}from"../chunks/Heading.2eb892cb.js";function _s(Ne){let d,G="HuggingFace datasets library has following logging levels:",R,L,S="<li><code>datasets.logging.CRITICAL</code>, <code>datasets.logging.FATAL</code></li> <li><code>datasets.logging.ERROR</code></li> <li><code>datasets.logging.WARNING</code>, <code>datasets.logging.WARN</code></li> <li><code>datasets.logging.INFO</code></li> <li><code>datasets.logging.DEBUG</code></li>";return{c(){d=o("p"),d.textContent=G,R=a(),L=o("ul"),L.innerHTML=S},l(v){d=i(v,"P",{"data-svelte-h":!0}),g(d)!=="svelte-r93nwj"&&(d.textContent=G),R=r(v),L=i(v,"UL",{"data-svelte-h":!0}),g(L)!=="svelte-duiyvy"&&(L.innerHTML=S)},m(v,C){l(v,d,C),l(v,R,C),l(v,L,C)},p:bs,d(v){v&&(t(d),t(R),t(L))}}}function $s(Ne){let d,G,R,L,S,v,C,ke,q,Dt="🤗 Datasets strives to be transparent and explicit about how it works, but this can be quite verbose at times. We have included a series of logging methods which allow you to easily adjust the level of verbosity of the entire library. Currently the default verbosity of the library is set to <code>WARNING</code>.",Ve,U,Ft="To change the level of verbosity, use one of the direct setters. For instance, here is how to change the verbosity to the <code>INFO</code> level:",Be,j,Oe,W,Nt="You can also use the environment variable <code>DATASETS_VERBOSITY</code> to override the default verbosity, and set it to one of the following: <code>debug</code>, <code>info</code>, <code>warning</code>, <code>error</code>, <code>critical</code>:",Ge,J,qe,Y,kt="All the methods of this logging module are documented below. The main ones are:",Ue,X,Vt='<li><a href="/docs/datasets/v2.16.1/en/package_reference/utilities#datasets.utils.logging.get_verbosity">logging.get_verbosity()</a> to get the current level of verbosity in the logger</li> <li><a href="/docs/datasets/v2.16.1/en/package_reference/utilities#datasets.utils.logging.set_verbosity">logging.set_verbosity()</a> to set the verbosity to the level of your choice</li>',je,Z,Bt="In order from the least to the most verbose (with their corresponding <code>int</code> values):",We,Q,Ot="<li><code>logging.CRITICAL</code> or <code>logging.FATAL</code> (int value, 50): only report the most critical errors.</li> <li><code>logging.ERROR</code> (int value, 40): only report errors.</li> <li><code>logging.WARNING</code> or <code>logging.WARN</code> (int value, 30): only reports error and warnings. This the default level used by the library.</li> <li><code>logging.INFO</code> (int value, 20): reports error, warnings and basic information.</li> <li><code>logging.DEBUG</code> (int value, 10): report all information.</li>",Je,H,z,pt,pe,Gt="Return the current level for the HuggingFace datasets library’s root logger.",ct,N,Ye,A,K,ut,ce,qt="Set the level for the Hugging Face Datasets library’s root logger.",Xe,h,ee,bt,ue,Ut="Set the level for the Hugging Face datasets library’s root logger to <code>INFO</code>.",ft,be,jt="This will display most of the logging information and tqdm bars.",mt,fe,Wt="Shortcut to <code>datasets.logging.set_verbosity(datasets.logging.INFO)</code>.",Ze,_,te,vt,me,Jt="Set the level for the Hugging Face datasets library’s root logger to <code>WARNING</code>.",ht,ve,Yt="This will display only the warning and errors logging information and tqdm bars.",_t,he,Xt="Shortcut to <code>datasets.logging.set_verbosity(datasets.logging.WARNING)</code>.",Qe,$,se,$t,_e,Zt="Set the level for the Hugging Face datasets library’s root logger to <code>DEBUG</code>.",yt,$e,Qt="This will display all the logging information and tqdm bars.",xt,ye,zt="Shortcut to <code>datasets.logging.set_verbosity(datasets.logging.DEBUG)</code>.",ze,y,ae,Tt,xe,Kt="Set the level for the Hugging Face datasets library’s root logger to <code>ERROR</code>.",Lt,Te,es="This will display only the errors logging information and tqdm bars.",Ct,Le,ts="Shortcut to <code>datasets.logging.set_verbosity(datasets.logging.ERROR)</code>.",Ke,I,re,Ht,Ce,ss=`Disable propagation of the library log outputs.
Note that log propagation is disabled by default.`,et,D,le,wt,He,as=`Enable propagation of the library log outputs.
Please disable the Hugging Face datasets library’s default handler to prevent double logging if the root logger has
been configured.`,tt,ne,st,oe,rs=`By default, <code>tqdm</code> progress bars will be displayed during dataset download and preprocessing. You can disable them globally by setting <code>HF_DATASETS_DISABLE_PROGRESS_BARS</code>
environment variable. You can also enable/disable them using <a href="/docs/datasets/v2.16.1/en/package_reference/utilities#datasets.enable_progress_bars">enable_progress_bars()</a> and <a href="/docs/datasets/v2.16.1/en/package_reference/utilities#datasets.disable_progress_bars">disable_progress_bars()</a>. If set, the environment variable has priority on the helpers.`,at,w,ie,Mt,we,ls=`Enable globally progress bars used in <code>datasets</code> except if <code>HF_DATASETS_DISABLE_PROGRESS_BAR</code> environment
variable has been set.`,Et,Me,ns='Use <a href="/docs/datasets/v2.16.1/en/package_reference/utilities#datasets.disable_progress_bars">disable_progress_bars()</a> to disable them.',rt,M,ge,Pt,Ee,os=`Disable globally progress bars used in <code>datasets</code> except if <code>HF_DATASETS_DISABLE_PROGRESS_BAR</code> environment
variable has been set.`,Rt,Pe,is='Use <a href="/docs/datasets/v2.16.1/en/package_reference/utilities#datasets.enable_progress_bars">enable_progress_bars()</a> to re-enable them.',lt,E,de,St,Re,gs="Return whether progress bars are globally disabled or not.",At,Se,ds=`Progress bars used in <code>datasets</code> can be enable or disabled globally using <a href="/docs/datasets/v2.16.1/en/package_reference/utilities#datasets.enable_progress_bars">enable_progress_bars()</a>
and <a href="/docs/datasets/v2.16.1/en/package_reference/utilities#datasets.disable_progress_bars">disable_progress_bars()</a> or by setting <code>HF_DATASETS_DISABLE_PROGRESS_BAR</code> as environment variable.`,nt,Fe,ot;return S=new It({props:{title:"Utilities",local:"utilities",headingTag:"h1"}}),C=new It({props:{title:"Configure logging",local:"datasets.utils.logging.get_verbosity",headingTag:"h2"}}),j=new ps({props:{code:"aW1wb3J0JTIwZGF0YXNldHMlMEFkYXRhc2V0cy5sb2dnaW5nLnNldF92ZXJib3NpdHlfaW5mbygp",highlighted:`<span class="hljs-keyword">import</span> datasets
datasets.logging.set_verbosity_info()`,wrap:!1}}),J=new ps({props:{code:"REFUQVNFVFNfVkVSQk9TSVRZJTNEZXJyb3IlMjAuJTJGbXlwcm9ncmFtLnB5",highlighted:"DATASETS_VERBOSITY=error ./myprogram.py",wrap:!1}}),z=new P({props:{name:"datasets.utils.logging.get_verbosity",anchor:"datasets.utils.logging.get_verbosity",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.16.1/src/datasets/utils/logging.py#L95",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>Logging level, e.g., <code>datasets.logging.DEBUG</code> and <code>datasets.logging.INFO</code>.</p>
`}}),N=new hs({props:{$$slots:{default:[_s]},$$scope:{ctx:Ne}}}),K=new P({props:{name:"datasets.utils.logging.set_verbosity",anchor:"datasets.utils.logging.set_verbosity",parameters:[{name:"verbosity",val:": int"}],source:"https://github.com/huggingface/datasets/blob/2.16.1/src/datasets/utils/logging.py#L114"}}),ee=new P({props:{name:"datasets.utils.logging.set_verbosity_info",anchor:"datasets.utils.logging.set_verbosity_info",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.16.1/src/datasets/utils/logging.py#L123"}}),te=new P({props:{name:"datasets.utils.logging.set_verbosity_warning",anchor:"datasets.utils.logging.set_verbosity_warning",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.16.1/src/datasets/utils/logging.py#L133"}}),se=new P({props:{name:"datasets.utils.logging.set_verbosity_debug",anchor:"datasets.utils.logging.set_verbosity_debug",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.16.1/src/datasets/utils/logging.py#L143"}}),ae=new P({props:{name:"datasets.utils.logging.set_verbosity_error",anchor:"datasets.utils.logging.set_verbosity_error",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.16.1/src/datasets/utils/logging.py#L153"}}),re=new P({props:{name:"datasets.utils.logging.disable_propagation",anchor:"datasets.utils.logging.disable_propagation",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.16.1/src/datasets/utils/logging.py#L163"}}),le=new P({props:{name:"datasets.utils.logging.enable_propagation",anchor:"datasets.utils.logging.enable_propagation",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.16.1/src/datasets/utils/logging.py#L170"}}),ne=new It({props:{title:"Configure progress bars",local:"datasets.enable_progress_bars",headingTag:"h2"}}),ie=new P({props:{name:"datasets.enable_progress_bars",anchor:"datasets.enable_progress_bars",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.16.1/src/datasets/utils/tqdm.py#L76"}}),ge=new P({props:{name:"datasets.disable_progress_bars",anchor:"datasets.disable_progress_bars",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.16.1/src/datasets/utils/tqdm.py#L59"}}),de=new P({props:{name:"datasets.are_progress_bars_disabled",anchor:"datasets.are_progress_bars_disabled",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.16.1/src/datasets/utils/tqdm.py#L93"}}),{c(){d=o("meta"),G=a(),R=o("p"),L=a(),p(S.$$.fragment),v=a(),p(C.$$.fragment),ke=a(),q=o("p"),q.innerHTML=Dt,Ve=a(),U=o("p"),U.innerHTML=Ft,Be=a(),p(j.$$.fragment),Oe=a(),W=o("p"),W.innerHTML=Nt,Ge=a(),p(J.$$.fragment),qe=a(),Y=o("p"),Y.textContent=kt,Ue=a(),X=o("ul"),X.innerHTML=Vt,je=a(),Z=o("p"),Z.innerHTML=Bt,We=a(),Q=o("ol"),Q.innerHTML=Ot,Je=a(),H=o("div"),p(z.$$.fragment),pt=a(),pe=o("p"),pe.textContent=Gt,ct=a(),p(N.$$.fragment),Ye=a(),A=o("div"),p(K.$$.fragment),ut=a(),ce=o("p"),ce.textContent=qt,Xe=a(),h=o("div"),p(ee.$$.fragment),bt=a(),ue=o("p"),ue.innerHTML=Ut,ft=a(),be=o("p"),be.textContent=jt,mt=a(),fe=o("p"),fe.innerHTML=Wt,Ze=a(),_=o("div"),p(te.$$.fragment),vt=a(),me=o("p"),me.innerHTML=Jt,ht=a(),ve=o("p"),ve.textContent=Yt,_t=a(),he=o("p"),he.innerHTML=Xt,Qe=a(),$=o("div"),p(se.$$.fragment),$t=a(),_e=o("p"),_e.innerHTML=Zt,yt=a(),$e=o("p"),$e.textContent=Qt,xt=a(),ye=o("p"),ye.innerHTML=zt,ze=a(),y=o("div"),p(ae.$$.fragment),Tt=a(),xe=o("p"),xe.innerHTML=Kt,Lt=a(),Te=o("p"),Te.textContent=es,Ct=a(),Le=o("p"),Le.innerHTML=ts,Ke=a(),I=o("div"),p(re.$$.fragment),Ht=a(),Ce=o("p"),Ce.textContent=ss,et=a(),D=o("div"),p(le.$$.fragment),wt=a(),He=o("p"),He.textContent=as,tt=a(),p(ne.$$.fragment),st=a(),oe=o("p"),oe.innerHTML=rs,at=a(),w=o("div"),p(ie.$$.fragment),Mt=a(),we=o("p"),we.innerHTML=ls,Et=a(),Me=o("p"),Me.innerHTML=ns,rt=a(),M=o("div"),p(ge.$$.fragment),Pt=a(),Ee=o("p"),Ee.innerHTML=os,Rt=a(),Pe=o("p"),Pe.innerHTML=is,lt=a(),E=o("div"),p(de.$$.fragment),St=a(),Re=o("p"),Re.textContent=gs,At=a(),Se=o("p"),Se.innerHTML=ds,nt=a(),Fe=o("p"),this.h()},l(e){const s=vs("svelte-u9bgzb",document.head);d=i(s,"META",{name:!0,content:!0}),s.forEach(t),G=r(e),R=i(e,"P",{}),x(R).forEach(t),L=r(e),c(S.$$.fragment,e),v=r(e),c(C.$$.fragment,e),ke=r(e),q=i(e,"P",{"data-svelte-h":!0}),g(q)!=="svelte-4r57a3"&&(q.innerHTML=Dt),Ve=r(e),U=i(e,"P",{"data-svelte-h":!0}),g(U)!=="svelte-1p4463y"&&(U.innerHTML=Ft),Be=r(e),c(j.$$.fragment,e),Oe=r(e),W=i(e,"P",{"data-svelte-h":!0}),g(W)!=="svelte-1fa79pe"&&(W.innerHTML=Nt),Ge=r(e),c(J.$$.fragment,e),qe=r(e),Y=i(e,"P",{"data-svelte-h":!0}),g(Y)!=="svelte-1x0c7ca"&&(Y.textContent=kt),Ue=r(e),X=i(e,"UL",{"data-svelte-h":!0}),g(X)!=="svelte-tkdvtv"&&(X.innerHTML=Vt),je=r(e),Z=i(e,"P",{"data-svelte-h":!0}),g(Z)!=="svelte-13fj4ey"&&(Z.innerHTML=Bt),We=r(e),Q=i(e,"OL",{"data-svelte-h":!0}),g(Q)!=="svelte-xxo2tl"&&(Q.innerHTML=Ot),Je=r(e),H=i(e,"DIV",{class:!0});var F=x(H);c(z.$$.fragment,F),pt=r(F),pe=i(F,"P",{"data-svelte-h":!0}),g(pe)!=="svelte-18ib658"&&(pe.textContent=Gt),ct=r(F),c(N.$$.fragment,F),F.forEach(t),Ye=r(e),A=i(e,"DIV",{class:!0});var it=x(A);c(K.$$.fragment,it),ut=r(it),ce=i(it,"P",{"data-svelte-h":!0}),g(ce)!=="svelte-b52uxh"&&(ce.textContent=qt),it.forEach(t),Xe=r(e),h=i(e,"DIV",{class:!0});var k=x(h);c(ee.$$.fragment,k),bt=r(k),ue=i(k,"P",{"data-svelte-h":!0}),g(ue)!=="svelte-mg8kj1"&&(ue.innerHTML=Ut),ft=r(k),be=i(k,"P",{"data-svelte-h":!0}),g(be)!=="svelte-dg4whn"&&(be.textContent=jt),mt=r(k),fe=i(k,"P",{"data-svelte-h":!0}),g(fe)!=="svelte-i2neqd"&&(fe.innerHTML=Wt),k.forEach(t),Ze=r(e),_=i(e,"DIV",{class:!0});var V=x(_);c(te.$$.fragment,V),vt=r(V),me=i(V,"P",{"data-svelte-h":!0}),g(me)!=="svelte-4vp1wh"&&(me.innerHTML=Jt),ht=r(V),ve=i(V,"P",{"data-svelte-h":!0}),g(ve)!=="svelte-1pfy8p7"&&(ve.textContent=Yt),_t=r(V),he=i(V,"P",{"data-svelte-h":!0}),g(he)!=="svelte-1eiwilb"&&(he.innerHTML=Xt),V.forEach(t),Qe=r(e),$=i(e,"DIV",{class:!0});var B=x($);c(se.$$.fragment,B),$t=r(B),_e=i(B,"P",{"data-svelte-h":!0}),g(_e)!=="svelte-514jjc"&&(_e.innerHTML=Zt),yt=r(B),$e=i(B,"P",{"data-svelte-h":!0}),g($e)!=="svelte-11rx1ug"&&($e.textContent=Qt),xt=r(B),ye=i(B,"P",{"data-svelte-h":!0}),g(ye)!=="svelte-10nodmo"&&(ye.innerHTML=zt),B.forEach(t),ze=r(e),y=i(e,"DIV",{class:!0});var O=x(y);c(ae.$$.fragment,O),Tt=r(O),xe=i(O,"P",{"data-svelte-h":!0}),g(xe)!=="svelte-g05jib"&&(xe.innerHTML=Kt),Lt=r(O),Te=i(O,"P",{"data-svelte-h":!0}),g(Te)!=="svelte-j1bk4g"&&(Te.textContent=es),Ct=r(O),Le=i(O,"P",{"data-svelte-h":!0}),g(Le)!=="svelte-1h8uwfx"&&(Le.innerHTML=ts),O.forEach(t),Ke=r(e),I=i(e,"DIV",{class:!0});var gt=x(I);c(re.$$.fragment,gt),Ht=r(gt),Ce=i(gt,"P",{"data-svelte-h":!0}),g(Ce)!=="svelte-781arq"&&(Ce.textContent=ss),gt.forEach(t),et=r(e),D=i(e,"DIV",{class:!0});var dt=x(D);c(le.$$.fragment,dt),wt=r(dt),He=i(dt,"P",{"data-svelte-h":!0}),g(He)!=="svelte-mcsadr"&&(He.textContent=as),dt.forEach(t),tt=r(e),c(ne.$$.fragment,e),st=r(e),oe=i(e,"P",{"data-svelte-h":!0}),g(oe)!=="svelte-q6pc01"&&(oe.innerHTML=rs),at=r(e),w=i(e,"DIV",{class:!0});var Ae=x(w);c(ie.$$.fragment,Ae),Mt=r(Ae),we=i(Ae,"P",{"data-svelte-h":!0}),g(we)!=="svelte-vh1g2j"&&(we.innerHTML=ls),Et=r(Ae),Me=i(Ae,"P",{"data-svelte-h":!0}),g(Me)!=="svelte-87qwv5"&&(Me.innerHTML=ns),Ae.forEach(t),rt=r(e),M=i(e,"DIV",{class:!0});var Ie=x(M);c(ge.$$.fragment,Ie),Pt=r(Ie),Ee=i(Ie,"P",{"data-svelte-h":!0}),g(Ee)!=="svelte-1gxk7tm"&&(Ee.innerHTML=os),Rt=r(Ie),Pe=i(Ie,"P",{"data-svelte-h":!0}),g(Pe)!=="svelte-85l9fo"&&(Pe.innerHTML=is),Ie.forEach(t),lt=r(e),E=i(e,"DIV",{class:!0});var De=x(E);c(de.$$.fragment,De),St=r(De),Re=i(De,"P",{"data-svelte-h":!0}),g(Re)!=="svelte-krb0vw"&&(Re.textContent=gs),At=r(De),Se=i(De,"P",{"data-svelte-h":!0}),g(Se)!=="svelte-f0x330"&&(Se.innerHTML=ds),De.forEach(t),nt=r(e),Fe=i(e,"P",{}),x(Fe).forEach(t),this.h()},h(){T(d,"name","hf:doc:metadata"),T(d,"content",ys),T(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),T(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),T(h,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),T(_,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),T($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),T(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),T(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),T(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),T(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),T(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),T(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,s){n(document.head,d),l(e,G,s),l(e,R,s),l(e,L,s),u(S,e,s),l(e,v,s),u(C,e,s),l(e,ke,s),l(e,q,s),l(e,Ve,s),l(e,U,s),l(e,Be,s),u(j,e,s),l(e,Oe,s),l(e,W,s),l(e,Ge,s),u(J,e,s),l(e,qe,s),l(e,Y,s),l(e,Ue,s),l(e,X,s),l(e,je,s),l(e,Z,s),l(e,We,s),l(e,Q,s),l(e,Je,s),l(e,H,s),u(z,H,null),n(H,pt),n(H,pe),n(H,ct),u(N,H,null),l(e,Ye,s),l(e,A,s),u(K,A,null),n(A,ut),n(A,ce),l(e,Xe,s),l(e,h,s),u(ee,h,null),n(h,bt),n(h,ue),n(h,ft),n(h,be),n(h,mt),n(h,fe),l(e,Ze,s),l(e,_,s),u(te,_,null),n(_,vt),n(_,me),n(_,ht),n(_,ve),n(_,_t),n(_,he),l(e,Qe,s),l(e,$,s),u(se,$,null),n($,$t),n($,_e),n($,yt),n($,$e),n($,xt),n($,ye),l(e,ze,s),l(e,y,s),u(ae,y,null),n(y,Tt),n(y,xe),n(y,Lt),n(y,Te),n(y,Ct),n(y,Le),l(e,Ke,s),l(e,I,s),u(re,I,null),n(I,Ht),n(I,Ce),l(e,et,s),l(e,D,s),u(le,D,null),n(D,wt),n(D,He),l(e,tt,s),u(ne,e,s),l(e,st,s),l(e,oe,s),l(e,at,s),l(e,w,s),u(ie,w,null),n(w,Mt),n(w,we),n(w,Et),n(w,Me),l(e,rt,s),l(e,M,s),u(ge,M,null),n(M,Pt),n(M,Ee),n(M,Rt),n(M,Pe),l(e,lt,s),l(e,E,s),u(de,E,null),n(E,St),n(E,Re),n(E,At),n(E,Se),l(e,nt,s),l(e,Fe,s),ot=!0},p(e,[s]){const F={};s&2&&(F.$$scope={dirty:s,ctx:e}),N.$set(F)},i(e){ot||(b(S.$$.fragment,e),b(C.$$.fragment,e),b(j.$$.fragment,e),b(J.$$.fragment,e),b(z.$$.fragment,e),b(N.$$.fragment,e),b(K.$$.fragment,e),b(ee.$$.fragment,e),b(te.$$.fragment,e),b(se.$$.fragment,e),b(ae.$$.fragment,e),b(re.$$.fragment,e),b(le.$$.fragment,e),b(ne.$$.fragment,e),b(ie.$$.fragment,e),b(ge.$$.fragment,e),b(de.$$.fragment,e),ot=!0)},o(e){f(S.$$.fragment,e),f(C.$$.fragment,e),f(j.$$.fragment,e),f(J.$$.fragment,e),f(z.$$.fragment,e),f(N.$$.fragment,e),f(K.$$.fragment,e),f(ee.$$.fragment,e),f(te.$$.fragment,e),f(se.$$.fragment,e),f(ae.$$.fragment,e),f(re.$$.fragment,e),f(le.$$.fragment,e),f(ne.$$.fragment,e),f(ie.$$.fragment,e),f(ge.$$.fragment,e),f(de.$$.fragment,e),ot=!1},d(e){e&&(t(G),t(R),t(L),t(v),t(ke),t(q),t(Ve),t(U),t(Be),t(Oe),t(W),t(Ge),t(qe),t(Y),t(Ue),t(X),t(je),t(Z),t(We),t(Q),t(Je),t(H),t(Ye),t(A),t(Xe),t(h),t(Ze),t(_),t(Qe),t($),t(ze),t(y),t(Ke),t(I),t(et),t(D),t(tt),t(st),t(oe),t(at),t(w),t(rt),t(M),t(lt),t(E),t(nt),t(Fe)),t(d),m(S,e),m(C,e),m(j,e),m(J,e),m(z),m(N),m(K),m(ee),m(te),m(se),m(ae),m(re),m(le),m(ne,e),m(ie),m(ge),m(de)}}}const ys='{"title":"Utilities","local":"utilities","sections":[{"title":"Configure logging","local":"datasets.utils.logging.get_verbosity","sections":[],"depth":2},{"title":"Configure progress bars","local":"datasets.enable_progress_bars","sections":[],"depth":2}],"depth":1}';function xs(Ne){return us(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Es extends fs{constructor(d){super(),ms(this,d,xs,$s,cs,{})}}export{Es as component};
