import{s as Be,n as De,o as Ie}from"../chunks/scheduler.bdbef820.js";import{S as We,i as Ve,g as n,s as l,r as d,A as qe,h as o,f as a,c as i,j as Pe,u as p,x as r,k as m,y as Ne,a as s,v as u,d as h,t as f,w as c}from"../chunks/index.c0aea24a.js";import{C as pt}from"../chunks/CodeBlock.6ccca92e.js";import{H as v}from"../chunks/Heading.2eb892cb.js";function Se(re){let g,ft,ut,ct,k,mt,U,de='The <a href="https://huggingface.co/datasets" rel="nofollow">Hub</a> is home to an extensive collection of community-curated and popular research datasets. We encourage you to share your dataset to the Hub to help grow the ML community and accelerate progress for everyone. All contributions are welcome; adding a dataset is just a drag and drop away!',gt,G,pe='Start by <a href="https://huggingface.co/join" rel="nofollow">creating a Hugging Face Hub account</a> if you don’t have one yet.',vt,R,yt,z,ue="The Hub’s web-based interface allows users without any developer experience to upload a dataset.",$t,J,wt,F,he="A repository hosts all your dataset files, including the revision history, making storing more than one dataset version possible.",bt,X,fe="<li>Click on your profile and select <strong>New Dataset</strong> to create a new dataset repository.</li> <li>Pick a name for your dataset, and choose whether it is a public or private dataset. A public dataset is visible to anyone, whereas a private dataset can only be viewed by you or members of your organization.</li>",Tt,y,ce='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/datasets/create_repo.png"/>',_t,Y,Mt,Z,me='<li><p>Once you’ve created a repository, navigate to the <strong>Files and versions</strong> tab to add a file. Select <strong>Add file</strong> to upload your dataset files. We support many text, audio, and image data extensions such as <code>.csv</code>, <code>.mp3</code>, and <code>.jpg</code> among many others. For text data extensions like <code>.csv</code>, <code>.json</code>, <code>.jsonl</code>, and <code>.txt</code>, we recommend compressing them before uploading to the Hub (to <code>.zip</code> or <code>.gz</code> file extension for example).</p> <p>Text file extensions are not tracked by Git LFS by default, and if they’re greater than 10MB, they will not be committed and uploaded. Take a look at the <code>.gitattributes</code> file in your repository for a complete list of tracked file extensions. For this tutorial, you can use the following sample <code>.csv</code> files since they’re small: <a href="https://huggingface.co/datasets/stevhliu/demo/raw/main/train.csv" download="">train.csv</a>, <a href="https://huggingface.co/datasets/stevhliu/demo/raw/main/test.csv" download="">test.csv</a>.</p></li>',xt,$,ge='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/datasets/upload_files.png"/>',Ct,w,ve="<li>Drag and drop your dataset files and add a brief descriptive commit message.</li>",Ht,b,ye='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/datasets/commit_files.png"/>',Lt,T,$e="<li>After uploading your dataset files, they are stored in your dataset repository.</li>",jt,_,we='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/datasets/files_stored.png"/>',kt,P,Ut,B,be="Adding a Dataset card is super valuable for helping users find your dataset and understand how to use it responsibly.",Gt,D,Te="<li>Click on <strong>Create Dataset Card</strong> to create a Dataset card. This button creates a <code>README.md</code> file in your repository.</li>",Rt,M,_e='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/datasets/dataset_card.png"/>',zt,x,Me='<li><p>At the top, you’ll see the <strong>Metadata UI</strong> with several fields to select from like license, language, and task categories. These are the most important tags for helping users discover your dataset on the Hub. When you select an option from each field, they’ll be automatically added to the top of the dataset card.</p> <p>You can also look at the <a href="https://github.com/huggingface/hub-docs/blob/main/datasetcard.md?plain=1" rel="nofollow">Dataset Card specifications</a>, which has a complete set of (but not required) tag options like <code>annotations_creators</code>, to help you choose the appropriate tags.</p></li>',Jt,C,xe='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/datasets/metadata_ui.png"/>',Ft,H,Ce='<li>Click on the <strong>Import dataset card template</strong> link at the top of the editor to automatically create a dataset card template. Filling out the template is a great way to introduce your dataset to the community and help users understand how to use it. For a detailed example of what a good Dataset card should look like, take a look at the <a href="https://huggingface.co/datasets/cnn_dailymail" rel="nofollow">CNN DailyMail Dataset card</a>.</li>',Xt,I,Yt,W,He='Once your dataset is stored on the Hub, anyone can load it with the <a href="/docs/datasets/v2.16.1/en/package_reference/loading_methods#datasets.load_dataset">load_dataset()</a> function:',Zt,V,Pt,q,Bt,N,Le='Users who prefer to upload a dataset programmatically can use the <a href="https://huggingface.co/docs/huggingface_hub/index" rel="nofollow">huggingface_hub</a> library. This library allows users to interact with the Hub from Python.',Dt,S,je="<li>Begin by installing the library:</li>",It,O,Wt,L,ke="<li>To upload a dataset on the Hub in Python, you need to log in to your Hugging Face account:</li>",Vt,A,qt,j,Ue='<li>Use the <a href="https://huggingface.co/docs/datasets/main/en/package_reference/main_classes#datasets.DatasetDict.push_to_hub" rel="nofollow"><code>push_to_hub()</code></a> function to help you add, commit, and push a file to your repository:</li>',Nt,E,St,K,Ge="To set your dataset as private, set the <code>private</code> parameter to <code>True</code>. This parameter will only work if you are creating a repository for the first time.",Ot,Q,At,tt,Re='To add a new configuration (or subset) to a dataset or to add a new split (train/validation/test), please refer to the <a href="/docs/datasets/v2.16.1/en/package_reference/main_classes#datasets.Dataset.push_to_hub">Dataset.push_to_hub()</a> documentation.',Et,et,Kt,at,ze="A private dataset is only accessible by you. Similarly, if you share a dataset within your organization, then members of the organization can also access the dataset.",Qt,st,Je="Load a private dataset by providing your authentication token to the <code>token</code> parameter:",te,lt,ee,it,ae,nt,Fe="Congratulations, you’ve completed the tutorials! 🥳",se,ot,Xe="From here, you can go on to:",le,rt,Ye='<li>Learn more about how to use 🤗 Datasets other functions to <a href="process">process your dataset</a>.</li> <li><a href="stream">Stream large datasets</a> without downloading it locally.</li> <li><a href="repository_structure">Define your dataset splits and configurations</a> or <a href="dataset_script">loading script</a> and share your dataset with the community.</li>',ie,dt,Ze='If you have any questions about 🤗 Datasets, feel free to join and ask the community on our <a href="https://discuss.huggingface.co/c/datasets/10" rel="nofollow">forum</a>.',ne,ht,oe;return k=new v({props:{title:"Share a dataset to the Hub",local:"share-a-dataset-to-the-hub",headingTag:"h1"}}),R=new v({props:{title:"Upload with the Hub UI",local:"upload-with-the-hub-ui",headingTag:"h2"}}),J=new v({props:{title:"Create a repository",local:"create-a-repository",headingTag:"h3"}}),Y=new v({props:{title:"Upload dataset",local:"upload-dataset",headingTag:"h3"}}),P=new v({props:{title:"Create a Dataset card",local:"create-a-dataset-card",headingTag:"h3"}}),I=new v({props:{title:"Load dataset",local:"load-dataset",headingTag:"h3"}}),V=new pt({props:{code:"ZnJvbSUyMGRhdGFzZXRzJTIwaW1wb3J0JTIwbG9hZF9kYXRhc2V0JTBBJTBBZGF0YXNldCUyMCUzRCUyMGxvYWRfZGF0YXNldCglMjJzdGV2aGxpdSUyRmRlbW8lMjIp",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;stevhliu/demo&quot;</span>)`,wrap:!1}}),q=new v({props:{title:"Upload with Python",local:"upload-with-python",headingTag:"h2"}}),O=new pt({props:{code:"cGlwJTIwaW5zdGFsbCUyMGh1Z2dpbmdmYWNlX2h1Yg==",highlighted:"pip install huggingface_hub",wrap:!1}}),A=new pt({props:{code:"aHVnZ2luZ2ZhY2UtY2xpJTIwbG9naW4=",highlighted:"huggingface-cli login",wrap:!1}}),E=new pt({props:{code:"ZnJvbSUyMGRhdGFzZXRzJTIwaW1wb3J0JTIwbG9hZF9kYXRhc2V0JTBBJTBBZGF0YXNldCUyMCUzRCUyMGxvYWRfZGF0YXNldCglMjJzdGV2aGxpdSUyRmRlbW8lMjIpJTBBZGF0YXNldC5wdXNoX3RvX2h1YiglMjJzdGV2aGxpdSUyRnByb2Nlc3NlZF9kZW1vJTIyKQ==",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;stevhliu/demo&quot;</span>)
<span class="hljs-comment"># dataset = dataset.map(...)  # do all your processing here</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset.push_to_hub(<span class="hljs-string">&quot;stevhliu/processed_demo&quot;</span>)`,wrap:!1}}),Q=new pt({props:{code:"ZGF0YXNldC5wdXNoX3RvX2h1YiglMjJzdGV2aGxpdSUyRnByaXZhdGVfcHJvY2Vzc2VkX2RlbW8lMjIlMkMlMjBwcml2YXRlJTNEVHJ1ZSk=",highlighted:'<span class="hljs-meta">&gt;&gt;&gt; </span>dataset.push_to_hub(<span class="hljs-string">&quot;stevhliu/private_processed_demo&quot;</span>, private=<span class="hljs-literal">True</span>)',wrap:!1}}),et=new v({props:{title:"Privacy",local:"privacy",headingTag:"h3"}}),lt=new pt({props:{code:"ZnJvbSUyMGRhdGFzZXRzJTIwaW1wb3J0JTIwbG9hZF9kYXRhc2V0JTBBJTBBZGF0YXNldCUyMCUzRCUyMGxvYWRfZGF0YXNldCglMjJzdGV2aGxpdSUyRmRlbW8lMjIlMkMlMjB0b2tlbiUzRFRydWUpJTBBJTBBZGF0YXNldCUyMCUzRCUyMGxvYWRfZGF0YXNldCglMjJvcmdhbml6YXRpb24lMkZkYXRhc2V0X25hbWUlMjIlMkMlMjB0b2tlbiUzRFRydWUp",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-comment"># Load a private individual dataset</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;stevhliu/demo&quot;</span>, token=<span class="hljs-literal">True</span>)

<span class="hljs-comment"># Load a private organization dataset</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;organization/dataset_name&quot;</span>, token=<span class="hljs-literal">True</span>)`,wrap:!1}}),it=new v({props:{title:"What’s next?",local:"whats-next",headingTag:"h2"}}),{c(){g=n("meta"),ft=l(),ut=n("p"),ct=l(),d(k.$$.fragment),mt=l(),U=n("p"),U.innerHTML=de,gt=l(),G=n("p"),G.innerHTML=pe,vt=l(),d(R.$$.fragment),yt=l(),z=n("p"),z.textContent=ue,$t=l(),d(J.$$.fragment),wt=l(),F=n("p"),F.textContent=he,bt=l(),X=n("ol"),X.innerHTML=fe,Tt=l(),y=n("div"),y.innerHTML=ce,_t=l(),d(Y.$$.fragment),Mt=l(),Z=n("ol"),Z.innerHTML=me,xt=l(),$=n("div"),$.innerHTML=ge,Ct=l(),w=n("ol"),w.innerHTML=ve,Ht=l(),b=n("div"),b.innerHTML=ye,Lt=l(),T=n("ol"),T.innerHTML=$e,jt=l(),_=n("div"),_.innerHTML=we,kt=l(),d(P.$$.fragment),Ut=l(),B=n("p"),B.textContent=be,Gt=l(),D=n("ol"),D.innerHTML=Te,Rt=l(),M=n("div"),M.innerHTML=_e,zt=l(),x=n("ol"),x.innerHTML=Me,Jt=l(),C=n("div"),C.innerHTML=xe,Ft=l(),H=n("ol"),H.innerHTML=Ce,Xt=l(),d(I.$$.fragment),Yt=l(),W=n("p"),W.innerHTML=He,Zt=l(),d(V.$$.fragment),Pt=l(),d(q.$$.fragment),Bt=l(),N=n("p"),N.innerHTML=Le,Dt=l(),S=n("ol"),S.innerHTML=je,It=l(),d(O.$$.fragment),Wt=l(),L=n("ol"),L.innerHTML=ke,Vt=l(),d(A.$$.fragment),qt=l(),j=n("ol"),j.innerHTML=Ue,Nt=l(),d(E.$$.fragment),St=l(),K=n("p"),K.innerHTML=Ge,Ot=l(),d(Q.$$.fragment),At=l(),tt=n("p"),tt.innerHTML=Re,Et=l(),d(et.$$.fragment),Kt=l(),at=n("p"),at.textContent=ze,Qt=l(),st=n("p"),st.innerHTML=Je,te=l(),d(lt.$$.fragment),ee=l(),d(it.$$.fragment),ae=l(),nt=n("p"),nt.textContent=Fe,se=l(),ot=n("p"),ot.textContent=Xe,le=l(),rt=n("ul"),rt.innerHTML=Ye,ie=l(),dt=n("p"),dt.innerHTML=Ze,ne=l(),ht=n("p"),this.h()},l(t){const e=qe("svelte-u9bgzb",document.head);g=o(e,"META",{name:!0,content:!0}),e.forEach(a),ft=i(t),ut=o(t,"P",{}),Pe(ut).forEach(a),ct=i(t),p(k.$$.fragment,t),mt=i(t),U=o(t,"P",{"data-svelte-h":!0}),r(U)!=="svelte-osw7f9"&&(U.innerHTML=de),gt=i(t),G=o(t,"P",{"data-svelte-h":!0}),r(G)!=="svelte-1fojn2"&&(G.innerHTML=pe),vt=i(t),p(R.$$.fragment,t),yt=i(t),z=o(t,"P",{"data-svelte-h":!0}),r(z)!=="svelte-wcztra"&&(z.textContent=ue),$t=i(t),p(J.$$.fragment,t),wt=i(t),F=o(t,"P",{"data-svelte-h":!0}),r(F)!=="svelte-193c6le"&&(F.textContent=he),bt=i(t),X=o(t,"OL",{"data-svelte-h":!0}),r(X)!=="svelte-1ekj4ey"&&(X.innerHTML=fe),Tt=i(t),y=o(t,"DIV",{class:!0,"data-svelte-h":!0}),r(y)!=="svelte-ggmafm"&&(y.innerHTML=ce),_t=i(t),p(Y.$$.fragment,t),Mt=i(t),Z=o(t,"OL",{"data-svelte-h":!0}),r(Z)!=="svelte-aa5rfb"&&(Z.innerHTML=me),xt=i(t),$=o(t,"DIV",{class:!0,"data-svelte-h":!0}),r($)!=="svelte-ejbx7w"&&($.innerHTML=ge),Ct=i(t),w=o(t,"OL",{start:!0,"data-svelte-h":!0}),r(w)!=="svelte-1u6lz3j"&&(w.innerHTML=ve),Ht=i(t),b=o(t,"DIV",{class:!0,"data-svelte-h":!0}),r(b)!=="svelte-14wj5uc"&&(b.innerHTML=ye),Lt=i(t),T=o(t,"OL",{start:!0,"data-svelte-h":!0}),r(T)!=="svelte-9bhhwd"&&(T.innerHTML=$e),jt=i(t),_=o(t,"DIV",{class:!0,"data-svelte-h":!0}),r(_)!=="svelte-15ihy8q"&&(_.innerHTML=we),kt=i(t),p(P.$$.fragment,t),Ut=i(t),B=o(t,"P",{"data-svelte-h":!0}),r(B)!=="svelte-5ezmk1"&&(B.textContent=be),Gt=i(t),D=o(t,"OL",{"data-svelte-h":!0}),r(D)!=="svelte-kvcsjv"&&(D.innerHTML=Te),Rt=i(t),M=o(t,"DIV",{class:!0,"data-svelte-h":!0}),r(M)!=="svelte-1o3g2qu"&&(M.innerHTML=_e),zt=i(t),x=o(t,"OL",{start:!0,"data-svelte-h":!0}),r(x)!=="svelte-1xw2ae"&&(x.innerHTML=Me),Jt=i(t),C=o(t,"DIV",{class:!0,"data-svelte-h":!0}),r(C)!=="svelte-stlsmn"&&(C.innerHTML=xe),Ft=i(t),H=o(t,"OL",{start:!0,"data-svelte-h":!0}),r(H)!=="svelte-sunr1d"&&(H.innerHTML=Ce),Xt=i(t),p(I.$$.fragment,t),Yt=i(t),W=o(t,"P",{"data-svelte-h":!0}),r(W)!=="svelte-130tzc6"&&(W.innerHTML=He),Zt=i(t),p(V.$$.fragment,t),Pt=i(t),p(q.$$.fragment,t),Bt=i(t),N=o(t,"P",{"data-svelte-h":!0}),r(N)!=="svelte-12gu7os"&&(N.innerHTML=Le),Dt=i(t),S=o(t,"OL",{"data-svelte-h":!0}),r(S)!=="svelte-zyx2xm"&&(S.innerHTML=je),It=i(t),p(O.$$.fragment,t),Wt=i(t),L=o(t,"OL",{start:!0,"data-svelte-h":!0}),r(L)!=="svelte-iilsup"&&(L.innerHTML=ke),Vt=i(t),p(A.$$.fragment,t),qt=i(t),j=o(t,"OL",{start:!0,"data-svelte-h":!0}),r(j)!=="svelte-xugwg8"&&(j.innerHTML=Ue),Nt=i(t),p(E.$$.fragment,t),St=i(t),K=o(t,"P",{"data-svelte-h":!0}),r(K)!=="svelte-j7uq5c"&&(K.innerHTML=Ge),Ot=i(t),p(Q.$$.fragment,t),At=i(t),tt=o(t,"P",{"data-svelte-h":!0}),r(tt)!=="svelte-5l3zfo"&&(tt.innerHTML=Re),Et=i(t),p(et.$$.fragment,t),Kt=i(t),at=o(t,"P",{"data-svelte-h":!0}),r(at)!=="svelte-1ikb5e6"&&(at.textContent=ze),Qt=i(t),st=o(t,"P",{"data-svelte-h":!0}),r(st)!=="svelte-1oh642o"&&(st.innerHTML=Je),te=i(t),p(lt.$$.fragment,t),ee=i(t),p(it.$$.fragment,t),ae=i(t),nt=o(t,"P",{"data-svelte-h":!0}),r(nt)!=="svelte-1h0td6n"&&(nt.textContent=Fe),se=i(t),ot=o(t,"P",{"data-svelte-h":!0}),r(ot)!=="svelte-fnxf3r"&&(ot.textContent=Xe),le=i(t),rt=o(t,"UL",{"data-svelte-h":!0}),r(rt)!=="svelte-1992yib"&&(rt.innerHTML=Ye),ie=i(t),dt=o(t,"P",{"data-svelte-h":!0}),r(dt)!=="svelte-1nqxwu3"&&(dt.innerHTML=Ze),ne=i(t),ht=o(t,"P",{}),Pe(ht).forEach(a),this.h()},h(){m(g,"name","hf:doc:metadata"),m(g,"content",Oe),m(y,"class","flex justify-center"),m($,"class","flex justify-center"),m(w,"start","2"),m(b,"class","flex justify-center"),m(T,"start","3"),m(_,"class","flex justify-center"),m(M,"class","flex justify-center"),m(x,"start","2"),m(C,"class","flex justify-center"),m(H,"start","3"),m(L,"start","2"),m(j,"start","3")},m(t,e){Ne(document.head,g),s(t,ft,e),s(t,ut,e),s(t,ct,e),u(k,t,e),s(t,mt,e),s(t,U,e),s(t,gt,e),s(t,G,e),s(t,vt,e),u(R,t,e),s(t,yt,e),s(t,z,e),s(t,$t,e),u(J,t,e),s(t,wt,e),s(t,F,e),s(t,bt,e),s(t,X,e),s(t,Tt,e),s(t,y,e),s(t,_t,e),u(Y,t,e),s(t,Mt,e),s(t,Z,e),s(t,xt,e),s(t,$,e),s(t,Ct,e),s(t,w,e),s(t,Ht,e),s(t,b,e),s(t,Lt,e),s(t,T,e),s(t,jt,e),s(t,_,e),s(t,kt,e),u(P,t,e),s(t,Ut,e),s(t,B,e),s(t,Gt,e),s(t,D,e),s(t,Rt,e),s(t,M,e),s(t,zt,e),s(t,x,e),s(t,Jt,e),s(t,C,e),s(t,Ft,e),s(t,H,e),s(t,Xt,e),u(I,t,e),s(t,Yt,e),s(t,W,e),s(t,Zt,e),u(V,t,e),s(t,Pt,e),u(q,t,e),s(t,Bt,e),s(t,N,e),s(t,Dt,e),s(t,S,e),s(t,It,e),u(O,t,e),s(t,Wt,e),s(t,L,e),s(t,Vt,e),u(A,t,e),s(t,qt,e),s(t,j,e),s(t,Nt,e),u(E,t,e),s(t,St,e),s(t,K,e),s(t,Ot,e),u(Q,t,e),s(t,At,e),s(t,tt,e),s(t,Et,e),u(et,t,e),s(t,Kt,e),s(t,at,e),s(t,Qt,e),s(t,st,e),s(t,te,e),u(lt,t,e),s(t,ee,e),u(it,t,e),s(t,ae,e),s(t,nt,e),s(t,se,e),s(t,ot,e),s(t,le,e),s(t,rt,e),s(t,ie,e),s(t,dt,e),s(t,ne,e),s(t,ht,e),oe=!0},p:De,i(t){oe||(h(k.$$.fragment,t),h(R.$$.fragment,t),h(J.$$.fragment,t),h(Y.$$.fragment,t),h(P.$$.fragment,t),h(I.$$.fragment,t),h(V.$$.fragment,t),h(q.$$.fragment,t),h(O.$$.fragment,t),h(A.$$.fragment,t),h(E.$$.fragment,t),h(Q.$$.fragment,t),h(et.$$.fragment,t),h(lt.$$.fragment,t),h(it.$$.fragment,t),oe=!0)},o(t){f(k.$$.fragment,t),f(R.$$.fragment,t),f(J.$$.fragment,t),f(Y.$$.fragment,t),f(P.$$.fragment,t),f(I.$$.fragment,t),f(V.$$.fragment,t),f(q.$$.fragment,t),f(O.$$.fragment,t),f(A.$$.fragment,t),f(E.$$.fragment,t),f(Q.$$.fragment,t),f(et.$$.fragment,t),f(lt.$$.fragment,t),f(it.$$.fragment,t),oe=!1},d(t){t&&(a(ft),a(ut),a(ct),a(mt),a(U),a(gt),a(G),a(vt),a(yt),a(z),a($t),a(wt),a(F),a(bt),a(X),a(Tt),a(y),a(_t),a(Mt),a(Z),a(xt),a($),a(Ct),a(w),a(Ht),a(b),a(Lt),a(T),a(jt),a(_),a(kt),a(Ut),a(B),a(Gt),a(D),a(Rt),a(M),a(zt),a(x),a(Jt),a(C),a(Ft),a(H),a(Xt),a(Yt),a(W),a(Zt),a(Pt),a(Bt),a(N),a(Dt),a(S),a(It),a(Wt),a(L),a(Vt),a(qt),a(j),a(Nt),a(St),a(K),a(Ot),a(At),a(tt),a(Et),a(Kt),a(at),a(Qt),a(st),a(te),a(ee),a(ae),a(nt),a(se),a(ot),a(le),a(rt),a(ie),a(dt),a(ne),a(ht)),a(g),c(k,t),c(R,t),c(J,t),c(Y,t),c(P,t),c(I,t),c(V,t),c(q,t),c(O,t),c(A,t),c(E,t),c(Q,t),c(et,t),c(lt,t),c(it,t)}}}const Oe='{"title":"Share a dataset to the Hub","local":"share-a-dataset-to-the-hub","sections":[{"title":"Upload with the Hub UI","local":"upload-with-the-hub-ui","sections":[{"title":"Create a repository","local":"create-a-repository","sections":[],"depth":3},{"title":"Upload dataset","local":"upload-dataset","sections":[],"depth":3},{"title":"Create a Dataset card","local":"create-a-dataset-card","sections":[],"depth":3},{"title":"Load dataset","local":"load-dataset","sections":[],"depth":3}],"depth":2},{"title":"Upload with Python","local":"upload-with-python","sections":[{"title":"Privacy","local":"privacy","sections":[],"depth":3}],"depth":2},{"title":"What’s next?","local":"whats-next","sections":[],"depth":2}],"depth":1}';function Ae(re){return Ie(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ea extends We{constructor(g){super(),Ve(this,g,Ae,Se,Be,{})}}export{ea as component};
